<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>
        <record id="paperformat_a4" model="report.paperformat">
            <field name="name">A4</field>
            <field name="default" eval="True"/>
            <field name="format">A4</field>
            <field name="page_height">0</field>
            <field name="page_width">0</field>
            <field name="orientation">Portrait</field>
            <field name="margin_top">7</field>
            <field name="margin_bottom">7</field>
            <field name="margin_left">7</field>
            <field name="margin_right">7</field>
            <field name="header_line" eval="False"/>
            <field name="header_spacing">35</field>
            <field name="dpi">75</field>
        </record>
        <record id="paperformat_a4l" model="report.paperformat">
            <field name="name">A4 Landscape</field>
            <field name="default" eval="True"/>
            <field name="format">A4</field>
            <field name="page_height">0</field>
            <field name="page_width">0</field>
            <field name="orientation">Landscape</field>
            <field name="margin_top">7</field>
            <field name="margin_bottom">7</field>
            <field name="margin_left">7</field>
            <field name="margin_right">7</field>
            <field name="header_line" eval="False"/>
            <field name="header_spacing">75</field>
            <field name="dpi">60</field>
        </record>



        <record id="docx_report.action_report_saleorder_new_templates" model="ir.actions.report">
           <field name="name">Счет по форме 1С DOCX</field>
           <field name="model">sale.order</field>
           <field name="report_type">docx-docx</field>
           <field name="report_file">docx_report.report_order</field>
           <field name="print_report_name">'Счет - %s DOCX' % ((object.name or '')+' '+(object.partner_id.parent_id.name if object.partner_id.parent_id else object.partner_id.name))</field>
           <field name="binding_model_id" ref="sale.model_sale_order"/>
           <field name="paperformat_id" ref="docx_report.paperformat_a4"/>
           <field name="binding_type">report</field>
           <field name="report_docx_template" type="base64" file="docx_report/static/src/docx/report_saleorder_new_template.docx"/>
        </record>


        <record id="report_account_invoice_upd_new_templates" model="ir.actions.report">
           <field name="name">Универсальный передаточный документ(УПД) DOCX</field>
           <field name="model">account.move</field>
           <field name="report_type">docx-docx</field>
           <field name="report_file">docx_report.report_upd</field>
           <field name="print_report_name">'УПД DOCX'</field>
           <field name="binding_model_id" ref="account.model_account_move" />
           <field name="paperformat_id" ref="docx_report.paperformat_a4l" />
           <field name="binding_type">report</field>
           <field name="report_docx_template" type="base64" file="docx_report/static/src/docx/report_account_invoice_upd_new_templates.docx"/>
        </record>



        <record id="report_account_invoice_updn_templates" model="ir.actions.report">
           <field name="name">УПД без печатей DOCX</field>
           <field name="model">account.move</field>
           <field name="report_type">docx-docx</field>
           <field name="report_file">docx_report.report_updn</field>
           <field name="print_report_name">'УПД без печатей DOCX'</field>
           <field name="binding_model_id" ref="account.model_account_move" />
           <field name="paperformat_id" ref="docx_report.paperformat_a4l" />
           <field name="binding_type">report</field>
           <field name="report_docx_template" type="base64" file="docx_report/static/src/docx/report_account_invoice_updn_templates.docx"/>
        </record>
    </data>
</openerp>